window.onerror = function myErrorFunction(message, url, linenumber) {
    addErrorText('Message: ' + message + ' Url: ' + url + ' linenumber: ' + linenumber);
};

$(function() {
    if ($.trim($('div.error').not(':hidden').html()).length > 0) {
        addErrorText($.trim($('div.error').html()));
    }
});

function createErrorField() {
    if ($('body #jsErrors').length == 0) {
        var $jsError = $('<input type="hidden" id="jsErrors"/>');
        $('body').append($jsError);
    }
}

function addErrorText(newText) {
    createErrorField();
    var $errors = $('body #jsErrors');
    var text = $errors.val();
    if (text.length > 0)
        text += '|';
    text += newText;
    $errors.val(text);
}